<!--
  Generated template for the StTransaksiPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar color="haldin-header" hideBackButton="true">
    <ion-buttons left>
      <button ion-button icon-only (click)="goBack()">
        <ion-icon name="arrow-back"></ion-icon>
      </button>
    </ion-buttons>
    <ion-title>
      <h3 style="margin-right: auto; margin-left: auto;"><span class="font-color-green">status </span><span class="font-color-blue">transaksi</span></h3>
    </ion-title>
  </ion-navbar>
  <!-- <ion-toolbar>
      <ion-searchbar [(ngModel)]="terms" showCancelButton="always"></ion-searchbar>
  </ion-toolbar> -->
</ion-header>



<ion-content class="content-home">
				
<div class="timeline">
        <br />
		<ul class="social-media-list" style="text-align: center;">	
			<li class="notification-button" (click)="detail_status_transaksi(1)">
				<img src="assets/images/confirm.png" alt="Menunggu Pembayaran" title="Menunggu Pembayaran">
				<ion-badge class="notifications-badge" color="danger">{{total_pending}}</ion-badge>   
			</li>
			<li class="notification-button" (click)="detail_status_transaksi(2)">
				<img src="assets/images/loading.png" alt="Pesanan Diproses" title="Pesanan Diproses">
				<ion-badge class="notifications-badge" color="danger">{{total_sent}}</ion-badge>
			</li>
			<li class="notification-button" (click)="detail_status_transaksi(3)">
				<img src="assets/images/delivery-truck.png" alt="Sedang Dikirim" title="Sedang Dikirim">
				<ion-badge class="notifications-badge" color="danger">{{total_kirim}}</ion-badge>
			</li>
			<li class="notification-button" (click)="detail_status_transaksi(4)">
				<img src="assets/images/location.png" alt="Terkirim" title="Terkirim">
				<ion-badge class="notifications-badge" color="danger">{{total_complete}}</ion-badge>
			</li> 
		</ul> 
		<hr class="head_confirm">
		<ul>
			<li>
				<div *ngIf="todo.tipe_status == '1'">
				    <h4><ion-icon name="cart"></ion-icon> &nbsp;
					<b>Menunggu Pembayaran</b></h4>
				</div>
				<div *ngIf="todo.tipe_status == '2'">
					<h4><ion-icon name="cart"></ion-icon> &nbsp;
					<b>Pesanan Diproses</b></h4>
				</div>
				<div *ngIf="todo.tipe_status == '3'">
					<h4><ion-icon name="cart"></ion-icon> &nbsp;
					<b>Cek Resi</b></h4>
				</div>
				<div *ngIf="todo.tipe_status == '4'">
					<h4><ion-icon name="cart"></ion-icon> &nbsp;
					<b>Diterima</b></h4>
				</div>
			</li>
			<li *ngFor="let item of data_item" class="li">
				<div class="white"> <ion-icon name="checkmark"></ion-icon> &nbsp;</div>
			    <div class="desc" (click)="detail_dash_trans(item.ido)">
					<h4>{{item.invoice_number}} ({{item.tgl_order | date: 'dd-MMMM-yyyy'}})</h4>
					<h4>{{item.grand_total | currency : "Rp." : 0}}</h4>
					<div *ngIf="item.waybill != ''">	
						<div *ngIf="item.status == 'Sent'">
							<em>Silahkan klik nomor resi untuk melihat tracking pengiriman</em> 
							 <hr />
							<a href="#" ion-button color="light" class="button-color" (click)="openWebpage(item.waybill)">{{item.waybill}}</a>
							<hr/>
							<em>Jika barang sudah diterima mohon tekan tombol selesaikan pesanan</em>
							<a href="#" ion-button color="light" class="button-color-end" (click)="selesaikan_pesanan(item.ido)">Selesaikan Pesanan</a>
						</div>
					</div>
			    </div>
					
				<div>
				
			    </div>
			</li>
		</ul> 
	</div> 
	 <ion-refresher (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
</ion-content>


<ion-footer style="text-align: center;">
  <ion-toolbar>
    <ion-buttons>
      <button ion-button (click)="myHome()">
        <ion-icon name="home"></ion-icon>
      </button>
	  &nbsp;&nbsp;&nbsp;
      <button ion-button (click)="myProfile()">
        <ion-icon name="contact"></ion-icon>
      </button>
	  &nbsp;&nbsp;&nbsp;
      <button ion-button (click)="myHelp()">
        <ion-icon name="help-circle"></ion-icon>
      </button>
    </ion-buttons>
  </ion-toolbar>
</ion-footer>